Change streams
The Change streams routes of the REST API, with an example of each.
Operations
Opens a change stream on a collection, a database or the whole cluster and receives the events as Server-Sent Events.
GET /v1/databases/{db}/collections/{coll}/changeStream
Equivalent to MongoDB's aggregate command.
| Path parameters | dbcoll |
| Body | None |
| Responses | 200, default |
Shell
curl https://<node>:27080/v1/databases/{db}/collections/{coll}/changeStream \
-H "Authorization: Bearer $TESELADB_API_KEY"POST /v1/databases/{db}/collections/{coll}/changeStream
Equivalent to MongoDB's aggregate command.
| Path parameters | dbcoll |
| Body | JSON, canonical Extended JSON or BSON |
| Responses | 200, default |
Shell
curl -X POST https://<node>:27080/v1/databases/{db}/collections/{coll}/changeStream \
-H "Authorization: Bearer $TESELADB_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'GET /v1/databases/{db}/changeStream
Equivalent to MongoDB's aggregate command.
| Path parameters | db |
| Body | None |
| Responses | 200, default |
Shell
curl https://<node>:27080/v1/databases/{db}/changeStream \
-H "Authorization: Bearer $TESELADB_API_KEY"POST /v1/databases/{db}/changeStream
Equivalent to MongoDB's aggregate command.
| Path parameters | db |
| Body | JSON, canonical Extended JSON or BSON |
| Responses | 200, default |
Shell
curl -X POST https://<node>:27080/v1/databases/{db}/changeStream \
-H "Authorization: Bearer $TESELADB_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'GET /v1/changeStream
Equivalent to MongoDB's aggregate command.
| Path parameters | None |
| Body | None |
| Responses | 200, default |
Shell
curl https://<node>:27080/v1/changeStream \
-H "Authorization: Bearer $TESELADB_API_KEY"POST /v1/changeStream
Equivalent to MongoDB's aggregate command.
| Path parameters | None |
| Body | JSON, canonical Extended JSON or BSON |
| Responses | 200, default |
Shell
curl -X POST https://<node>:27080/v1/changeStream \
-H "Authorization: Bearer $TESELADB_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'